## ol-notmuch 2.0.0

=== Makefile ===
-include .config.mk

PKG = ol-notmuch

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = notmuch/emacs
DEPS += org/lisp

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make clean        - remove generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

=== debian/changelog ===
ol-notmuch (2.0.0-2) unstable; urgency=medium

  * Clean up d/copyright, following a suggestion of Thorsten A.
  * Source only upload

 -- David Bremner <bremner@debian.org>  Sun, 22 Jan 2023 13:01:24 -0400

ol-notmuch (2.0.0-1) unstable; urgency=medium

  * Initial upload.  (Closes: #1024362).

 -- David Bremner <bremner@debian.org>  Thu, 29 Dec 2022 09:30:08 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make loaddefs

## ol-notmuch 2.0.1

=== Makefile ===
-include .config.mk

PKG = ol-notmuch

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = compat
DEPS += notmuch/emacs
DEPS += org/lisp

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make clean        - remove generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
ol-notmuch (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Verified that ol-notmuch not depend or build-depend on elpa-f

 -- David Bremner <bremner@debian.org>  Thu, 05 Oct 2023 09:02:18 -0300

=== debian/control ===
Source: ol-notmuch
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/ol-notmuch
Vcs-Git: https://salsa.debian.org/emacsen-team/ol-notmuch.git
Rules-Requires-Root: no

Package: elpa-ol-notmuch
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Links to notmuch messages   
 This file implements links to notmuch messages and "searches".  A
 search is a query to be performed by notmuch; it is the equivalent
 to folders in other mail clients.  Similarly, mails are referred to
 by a query, so both a link can refer to several mails.
 .
 Links have one the following form
 notmuch:<search terms>
 notmuch-search:<search terms>.
 .
 The first form open the queries in notmuch-show mode, whereas the
 second link open it in notmuch-search mode.  Note that queries are
 performed at the time the link is opened, and the result may be
 different from when the link was stored.

=== debian/watch ===
version=4
opts="mode=git" https://git.sr.ht/~tarsius/ol-notmuch/ refs/tags/v([\d\.\d\.]+) debian

## ol-notmuch 2.0.3

=== debian/changelog ===
ol-notmuch (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * Trim trailing whitespace.
  * Update standards version to 4.7.0, no changes needed.
  * Add Homepage in d/control
  * Add Source and Upstream-Contact to d/copyright
  * Update d/watch to track new upstream on GitHub.
  * Update d/gbp.conf to match current practice
  * Add myself to Uploaders in d/control

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 28 Nov 2024 21:59:11 -0800

ol-notmuch (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:00:39 +0900

## ol-notmuch 2.1.0

=== debian/changelog ===
ol-notmuch (2.1.0-3) unstable; urgency=medium

  * Skip using upstream Makefile and let dh-elpa generate
    ol-notmuch-autoloads.el
    - This should actually fix the reprotest flakiness

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 20 Jan 2025 02:40:56 -0800

ol-notmuch (2.1.0-2) unstable; urgency=medium

  * Enable diffoscope in Salsa CI to debug reprotest
  * Drop d/ol-notmuch-pkg.el
    - The dependencies can be detected from Emacs cookies
    - This should also fix the flakiness on reprotest

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 20 Jan 2025 00:58:29 -0800

ol-notmuch (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 19 Jan 2025 22:32:52 -0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Skip upstream Makefile

## ol-notmuch 2.1.1

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,11 @@
 help:
 	$(info make all          - generate byte-code and autoloads)
 	$(info make lisp         - generate byte-code and autoloads)
+	$(info make redo         - re-generate byte-code and autoloads)
 	$(info make clean        - remove generated files)
 	@printf "\n"
+
+redo: clean lisp
 
 lisp: $(ELCS) loaddefs check-declare

=== debian/changelog ===
ol-notmuch (2.1.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 11 Aug 2025 23:09:49 -0700

ol-notmuch (2.1.1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 12 Jun 2025 13:55:46 -0700

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: David Bremner <bremner@debian.org>
+Uploaders: David Bremner <bremner@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
+Homepage: https://github.com/tarsius/ol-notmuch
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ol-notmuch
 Vcs-Git: https://salsa.debian.org/emacsen-team/ol-notmuch.git
 Rules-Requires-Root: no
@@ -15,7 +17,7 @@
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
-Description: Links to notmuch messages   
+Description: Links to notmuch messages
  This file implements links to notmuch messages and "searches".  A
  search is a query to be performed by notmuch; it is the equivalent
  to folders in other mail clients.  Similarly, mails are referred to

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/tarsius/ol-notmuch/tags \
    (?:.*/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## ol-notmuch 2.1.2

=== Makefile ===
-include .config.mk

PKG = ol-notmuch

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = compat
DEPS += notmuch/emacs
DEPS += org/lisp

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all        -- Build lisp)
	$(info make lisp       -- Build lisp)
	$(info make redo       -- Build lisp from scratch)
	$(info make clean      -- Remove built files)
	@printf "\n"

redo: clean lisp

lisp: $(ELCS) autoloads check-declare

autoloads: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch --eval "\
(let ((inhibit-message t))\
  (loaddefs-generate\
   default-directory \"$@\" nil\
   (prin1-to-string\
    '(add-to-list 'load-path\
                  (or (and #$$ (directory-file-name (file-name-directory #$$)))\
                      (car load-path)))))\
   nil t)"

=== debian/changelog ===
ol-notmuch (2.1.2-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to rfc822-style version 5 format
  * Update Standards-Version to 4.7.2; no change needed
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 09 Nov 2025 18:33:33 -0800

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tarsius/ol-notmuch
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ol-notmuch
 Vcs-Git: https://salsa.debian.org/emacsen-team/ol-notmuch.git
-Rules-Requires-Root: no
 
 Package: elpa-ol-notmuch
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: tarsius
Project: ol-notmuch

## ol-notmuch 2.1.3

=== Makefile ===
--- 
+++ 
@@ -9,11 +9,13 @@
 DEPS += notmuch/emacs
 DEPS += org/lisp
 
-EMACS      ?= emacs
-EMACS_ARGS ?=
+LOAD_PATH ?= $(addprefix -L ../,$(DEPS))
+LOAD_PATH += -L .
 
-LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
-LOAD_PATH  += -L .
+EMACS       ?= emacs
+EMACS_ARGS  ?=
+EMACS_Q_ARG ?= -Q
+EMACS_BATCH ?= $(EMACS) $(EMACS_Q_ARG) --batch $(EMACS_ARGS) $(LOAD_PATH)
 
 all: lisp
 
@@ -32,12 +34,11 @@
 
 %.elc: %.el
 	@printf "Compiling $<\n"
-	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<
+	@$(EMACS_BATCH) --funcall batch-byte-compile $<
 
 check-declare:
 	@printf " Checking function declarations\n"
-	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
-	--eval "(check-declare-directory default-directory)"
+	@$(EMACS_BATCH) --eval "(check-declare-directory default-directory)"
 
 CLEAN = $(ELCS) $(PKG)-autoloads.el
 
@@ -47,7 +48,7 @@
 
 $(PKG)-autoloads.el: $(ELS)
 	@printf " Creating $@\n"
-	@$(EMACS) -Q --batch --eval "\
+	@$(EMACS_BATCH) --eval "\
 (let ((inhibit-message t))\
   (loaddefs-generate\
    default-directory \"$@\" nil\

=== debian/changelog ===
ol-notmuch (2.1.3-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 08 Jan 2026 00:40:09 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ol-notmuch
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>,
  Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tarsius/ol-notmuch
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ol-notmuch
 Vcs-Git: https://salsa.debian.org/emacsen-team/ol-notmuch.git
